ParticleSystem particles;
int nbrParticles = 2000;

void setup() {
  size(800, 600, P2D);
  colorMode(HSB);
  createParticleSystem(width/2, height/2);
  background(0);
}

void draw() {
  particles.update();
  // pour automatiser le declenchement
//  if (particles.ParticleSystemIsEmpty()) createParticleSystem(random(width), random(height));
}

void mouseReleased() {
  createParticleSystem(mouseX, mouseY);
}

void createParticleSystem(float x, float y) {
    background(0);
  particles = new ParticleSystem ();
  particles.setBorderBounce(false, true, true, true);
  for (int i = 0; i < nbrParticles; i ++) {
    Particle particle = new Particle_Line(
    new PVector (x, y), 
    new PVector (random(-10, 10), random(-30, 0) ), 
    new PVector( 0, random(0.5, 0.8) ), 
    random( - 0.4, - 0.99 )                                         
      );
    particles.addParticle(particle);
  }
}

