
class Particle {
  PVector pos;
  PVector vel;
  PVector acc;
  float max_vel = 800;
  int defaultLifeTime = 1000;
  int lifeTime = defaultLifeTime;
  int taille = 10;
  float bounce = -1;

  Particle (PVector p, PVector v, PVector a, float _bounce) {
    pos = p.get();
    vel = v.get();
    acc = a.get();
    bounce = _bounce;
  }
  
  Particle (PVector p, PVector v, PVector a) {
    pos = p.get();
    vel = v.get();
    acc = a.get();
  }

  Particle (PVector p, PVector v) {
    pos = p.get();
    vel = v.get();
    acc = new PVector(0, 0);
  }

  Particle (PVector p) {
    pos = p.get();
    vel = new PVector(0, 0);
    acc = new PVector(0, 0);
  }

  void update() {
    vel.add(acc);
    vel.limit(max_vel);
    pos.add(vel);
    lifeTime--;
  }

  void render() {
    update();
    ellipse (pos.x, pos.y, taille, taille);
  }

  boolean life() {
    if (lifeTime < 0) return false;
    else return true;
  }
}

